Runtime

## org.eclipse.gmf.runtime.notation
Interface StringToPropertyValueMapEntry

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface StringToPropertyValueMapEntry

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'String To Property Value Map Entry'.

The following features are supported:

- `Key`
- `Value`

See Also:
  `NotationPackage.getStringToPropertyValueMapEntry()`
** Generated **
Model:
  annotation="http://www.eclipse.org/uml2/2.0.0/UML MapEntry='null'"

Method Summary
`java.lang.String` `getKey()` Returns the value of the 'Key' attribute
`PropertyValue` `getValue()` Returns the value of the 'Value' reference
`void` `setKey(java.lang.String value)` Sets the value of the '`Key`' attribute
`void` `setValue(PropertyValue value)` Sets the value of the '`Value`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getKey

    java.lang.String getKey()

  Returns the value of the 'Key' attribute.

  If the meaning of the 'Key' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Key' attribute.
  See Also:
    `setKey(String)`, `NotationPackage.getStringToPropertyValueMapEntry_Key()`
  ** Generated **
  Model:
    required="true" ordered="false"

### setKey

    void setKey(java.lang.String value)

  Sets the value of the '`Key`' attribute.

  Parameters:
    `value` - the new value of the 'Key' attribute.
  See Also:
    `getKey()`
  ** Generated **

### getValue

    PropertyValue getValue()

  Returns the value of the 'Value' reference.

  If the meaning of the 'Value' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' reference.
  See Also:
    `setValue(PropertyValue)`, `NotationPackage.getStringToPropertyValueMapEntry_Value()`
  ** Generated **
  Model:
    required="true" ordered="false"

### setValue

    void setValue(PropertyValue value)

  Sets the value of the '`Value`' reference.

  Parameters:
    `value` - the new value of the 'Value' reference.
  See Also:
    `getValue()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.